Video Screencast Help
Scheduled Maintenance: Symantec Connect is scheduled to be down Saturday, April 19 from 10am to 2pm Pacific Standard Time (GMT: 5pm to 9pm) for server migration and upgrades.
Please accept our apologies in advance for any inconvenience this might cause.

Can NBU7.1 works properly on AIX6.1 with respect to OST ?

Created: 12 Sep 2012 | 4 comments

Hi All,

Does anybody using NBU7.1 on AIX6.1 platform ?

I have just installed NBU7.1 on AIX6.1 machine. In installation logs, i can see AIX53 string appering many times. It represents AIX5.3.

One more information, I would like to share is that on AIX5.3, compiler used to build NBU7.1 was Visual age 8.0 while OST plugin which i am

using with this NBU is compilied with Visual age 12.1 compiler. And I getting errors in registering credentials on storage server using this plugin.

While credentials are successfully authenticated as I confimed from plugin logs, but commad fails ( I have posted this issue on seperate thread !!!).

My question is that does this problem can be due to Application binary interfaces incompatibility NBU and plugin are compiled with different compiler versions or NBU7.1 is itself is unstable on AIX6.1 ?

Comments 4 CommentsJump to latest comment

Marianne's picture

You need to get new OST plugin from your OST vendor.

Check with them for OS compatibility.
This is completely outside NBU control.

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

nhstpravar12's picture

Hi Marianne,

 

Thanks a lot for replying !

Actually, I am responsible for porting OST plugin (vendor: NEC, product : HydraStor) to AIX platform.

Our target platform for this porting is AIX6.1/AIX7.1.

We asked Symantac support for compiler version which is used to build NBU7.1 on AIX6.1.

They told us that they were using Visual Age 8.0 compiler to build NBU7.1 on AIX5.3. And same bianries should also work on AIX6.1/AIX7.1.

But Visual Age 8.0 compiler doesn't work propelry on AIX6.1. It is supported with patches on AIX6.1.

So, we tried to build OST plugin on AIX6.1 using latest Visal age compiler version which 12.1.(trial version).

After building plugin gets loaded, but not able to regsiter credentials. According to our plugin logs, stsp_open_server() and stsp_get_server_prop_byname() calls are successful, but NBU commands fails.

Now, I doubt if this issue cooured due to diffferent compiler versions have been used in building plugin andn NBU i.e. it is some ABI incompatibility issue or not ?

Don't uou think that NBU7.1 on AIX6.1 should be build with some higher compiler version than XL C/C++ 8.0 ?

Marianne's picture

I feel that this is the wrong place for your query.

You need to get hold of Symantec development team.

The only way I can think of is via Symantec Technology Enabled Program (STEP) :
http://www.symantec.com/partners/programs/technology-partners/

(Hopefully CRZ will be along soon to confirm or point you to the correct Symantec team...)

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links

CRZ's picture

My name was invoked, but I have no idea as this is way out of my range.  :)

I think Marianne nailed it, though - if you're not already involved with STEP, you need to join and check out their OST track.

The shortlink is http://go.symantec.com/step, which takes you to the same link already provided.